org.eclipse.graphiti.util

## Interface ILook

All Known Implementing Classes:
  DefaultLook, DynamicLook

    public interface ILook

The Interface ILook.

### Method Summary

All Methods Instance Methods Abstract Methods
`IColorConstant` `getFieldErrorBackgroundColor()` Gets the field error background color.
`IColorConstant` `getFieldErrorForegroundColor()` Gets the field error foreground color.
`IColorConstant` `getGridBackgroundColor()` Gets the grid background color.
`int` `getGridLineThickness()` Gets the grid line thickness.
`IColorConstant` `getMajorGridLineColor()` Gets the major grid line color.
`int` `getMajorGridLineDistance()` Gets the major grid line distance.
`IColorConstant` `getMinorGridLineColor()` Gets the minor grid line color.
`int` `getMinorGridLineDistance()` Gets the minor grid line distance.

### Method Detail

#### getGridBackgroundColor

    IColorConstant getGridBackgroundColor()

Gets the grid background color.

Returns:
  the grid background color

#### getMajorGridLineColor

    IColorConstant getMajorGridLineColor()

Gets the major grid line color.

Returns:
  the major grid line color

#### getMinorGridLineColor

    IColorConstant getMinorGridLineColor()

Gets the minor grid line color.

Returns:
  the minor grid line color

#### getMajorGridLineDistance

    int getMajorGridLineDistance()

Gets the major grid line distance.

Returns:
  the major grid line distance

#### getMinorGridLineDistance

    int getMinorGridLineDistance()

Gets the minor grid line distance.

Returns:
  the minor grid line distance

#### getGridLineThickness

    int getGridLineThickness()

Gets the grid line thickness.

Returns:
  the grid line thickness

#### getFieldErrorBackgroundColor

    IColorConstant getFieldErrorBackgroundColor()

Gets the field error background color.

Returns:
  the field error background color

#### getFieldErrorForegroundColor

    IColorConstant getFieldErrorForegroundColor()

Gets the field error foreground color.

Returns:
  the field error foreground color
Since:
  0.8